import { ArgumentMetadata } from '@nestjs/common';
import { RpcValidationPipe } from '../../pipes/rpc.validation-pipe';
import { ValidateAuthenticationRequestDto } from '@modules/authentication/interface/grpc-controllers/dtos/validate-authentication.request.dto';

describe('RpcValidationPipe', () => {
  it('should not validate request', async () => {
    const target: RpcValidationPipe = new RpcValidationPipe({
      whitelist: true,
      forbidUnknownValues: false,
    });
    const metadata: ArgumentMetadata = {
      type: 'body',
      metatype: ValidateAuthenticationRequestDto,
      data: '',
    };
    await target
      .transform(<ValidateAuthenticationRequestDto>{}, metadata)
      .catch((err) => {
        expect(err.message).toEqual('Rpc Exception');
      });
  });
});
